@font-face {
    font-family: 'Roboto Light';
    src: url("../font/Roboto/Roboto-Light.ttf") format("truetype");
}

@font-face {
    font-family: 'Roboto Regular';
    src: url("../font/Roboto/Roboto-Regular.ttf") format("truetype");
}

:root {
    --blue1: #002b50;
    --blue1-light: #004480;
    --blue1-lighter: #005fb3;
    --blue1RGB: rgba(0, 43, 80, 0.8);
    --blue2: #005EAE;
    --blue2-light: #006dcc;
    --blue2-lighter: #0088ff;
    --blue2-dark: #004480;
    --blue2-darker: #00294d;
    --blue2RGB: rgba(0, 94, 174, 0.71);
    --blue3: #0067c0;
    --blue3-lighter: #1a94ff;
    --blue3-light: #007ae6;
    --blue3-dark: #005299;
    --blue3-darker: #003666;
    --blue3-darkest: #001b33;
    --white: #fff;
    --white2: #eee4e4;
    --black: #000;
}


/* Form */

.btn {
    font-size: 1.6rem;
}

.btn-success {
    margin-top: 20px;
}


/* Global */

html {
    font-size: 62.5%;
}

body {
    font-family: "Roboto Light", sans-serif;
    color: var(--blue1);
    background-color: var(--white);
    font-size: 1.4rem;
    width: 100vw;
}

.container {
    padding-left: 0;
    padding-right: 0;
}

a {
    font-family: "Roboto Regular", sans-serif;
    text-decoration: none;
    color: var(--white);
}

h2,
h3,
h4,
h5,
h6 {
    font-family: "Roboto Regular", sans-serif;
}

h1 {
    font-size: 3rem;
    /* padding: 0px 15px; */
}

h2 {
    font-size: 2rem;
}

h1,
h3 {
    margin-bottom: 20px;
    text-align: center;
}

.form-control {
    color: var(--blue1);
    font-size: 1.6rem;
}

.blockDiv {
    background-color: var(--white);
    padding: 2rem 1rem 1rem 1rem;
    margin-bottom: 20px;
}

.hidden {
    display: none;
}

.bottom-link {
    border-top: solid 1px var(--white);
    background-color: white;
    color: var(--blue1);
}

.bottom-link a {
    color: var(--blue1);
}

.table .thead-light th {
    color: var(--white);
    background-color: var(--blue2RGB);
}

table.sortable th:not(.sorttable_sorted):not(.sorttable_sorted_reverse):not(.sorttable_nosort):after {
    content: " \25B4\25BE"
}

.text-truncate a {
    color: var(--white);
    outline: 0;
    text-decoration: none;
}

.block-social-share {
    margin: auto;
    width: 50%;
    padding: 10px;
}

.btn-share {
    background-color: var(--white);
    border: var(--blue1) 1px solid;
    padding: 12px 15px;
    color: var(--blue1);
    font-weight: bold;
}

.btn-share:hover {
    background-color: var(--blue1);
    color: var(--white);
    font-family: "Roboto Regular", sans-serif;
}

.nav>.nav-item>a:hover {
    background-color: var(--white);
    color: var(--blue1);
}


/* Search Player Div */

.searchDiv {
    position: relative;
    width: 58vw;
    min-height: 30px;
}

.searchDiv .input-search-player {
    border: solid 1px var(--blue1);
    color: var(--blue1);
    margin-left: 15px;
    width: 100%;
    height: 20px;
    padding-right: 30px;
}

.searchDiv::after {
    content: "";
    position: absolute;
    background-size: cover;
    top: 5px;
    right: -10px;
    width: 20px;
    height: 20px;
}

.searchDiv.loading::after {
    background-image: url("http://loadinggif.com/images/image-selection/3.gif");
}

.searchDiv .searchResults {
    display: none;
    z-index: 1;
    width: 100%;
    position: absolute;
    left: 30px;
    top: 30px;
}

.searchDiv .searchResults .searchResultsList {
    position: absolute;
    padding: 0px;
    margin: 0px;
    margin-left: -15px;
    height: auto;
}

.searchDiv .searchResults .searchResultsList li {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
    background-color: var(--white);
    cursor: pointer;
}

.searchDiv .searchResults .searchResultsList li:hover {
    background-color: var(--blue1);
    color: var(--white);
}


/* header */

.header {
    height: 95px;
    background-color: var(--white);
    padding-top: 8px;
}

.header .menu {
    background-color: var(--blue1);
}

.header .hamburger {
    font-size: 4rem;
    cursor: pointer;
}

.logoDiv .logo {
    display: block;
    background-image: url('../images/waveballfull.png');
    background-repeat: no-repeat;
    background-size: contain;
    height: 9vh;
}

.header .header-right {
    padding-top: 40px;
}


/* Menu */

.navbar {
    position: sticky;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1030;
    background-color: var(--white);
}

.menu-mb {
    height: 100vh;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: var(--blue1);
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
}

.menu-mb .closebtn {
    position: absolute;
    top: 0;
    right: 10px;
    font-size: 4rem;
    margin-left: 50px;
    color: grey;
}

.menu-mb .closebtn:hover {
    color: var(--white);
}

.menu-nav {
    padding-top: 0px;
    overflow: auto;
    max-height: 100%;
}

.menu-nav .nav-link {
    padding: 20px;
}

.menu-nav ul li:first-child {
    padding-top: 20px;
}

.menu {
    text-decoration: none;
    padding: 0px 0px 0px 0px;
    background-color: var(--blue1);
    color: var(--white);
    position: fixed;
    top: 95px;
}

/*  Index  */
.indexDiv .index-button {
    text-align: center;
}
.indexDiv .index-button button {
    background-color: var(--blue1);
    border: var(--white) 2px solid;
    color: var(--white);
    font-size: 2.4rem;
    min-width: 75vw;
    min-height: 10vh;
    width: 100%;
}
.indexDiv .index-button button:hover {
    background-color: var(--white);
    color: var(--blue1);
    border-color: var(--blue1);
}
.indexDiv .index-img {
    height: 100vh;
    background-image: url('../images/index_wave.jpg');
    text-align: center;
    opacity: 0.9;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-color: var(--black);
    background-attachment: fixed;
}
.indexDiv h1.index-title {
    font-size: 6rem;
    text-shadow: 2px 0 0 var(--white), -2px 0 0 var(--white), 0 2px 0 var(--white), 0 -2px 0 var(--white), 1px 1px var(--white), -1px -1px 0 var(--white), 1px -1px 0 var(--white), -1px 1px 0 var(--white);
    text-align: center;
}
.indexDiv h2.index-subtitle {
    border-bottom: var(--white) 2px solid;
    font-size: 2.6rem;
    text-shadow: 1px 0 0 var(--white), -1px 0 0 var(--white), 0 1px 0 var(--white), 0 -1px 0 var(--white), 1px 1px var(--white), -1px -1px 0 var(--white), 1px -1px 0 var(--white), -1px 1px 0 var(--white);
    text-align: center;
}

/*Player Details :*/
.player-details {
    padding-top: 5px;
}

.backDiv {
    margin: 0px 0px 20px 10px;
}

.backDiv:hover {
    cursor: pointer;
}

.backDiv img {
    transform: scale(1.2);
}

.back-ranking {
    color: var(--blue1);
}

.back-ranking:hover {
    color: var(--blue1);
    text-decoration: none;
}

.player-details table a {
    text-decoration: none;
    color: var(--blue1);
}
.player-details .won {
    color: green;
}
.player-details .block-info {
    background-color: var(--blue1);
    text-align: center;
    color: var(--white);
    text-align: center;
    /* min-height: 14vh; */
    
    font-weight: 700;
    border: var(--blue1) 0.5px solid;
}
.player-details .block-info p {
    padding: 2vw 1vw 0vw 1vw;
}
.player-details .block-info.color-lighter {
    background-color: var(--blue3-lighter);
}
.player-details .block-info.color-light {
    background-color: var(--blue3-light);
}
.player-details .block-info.color {
    background-color: var(--blue3);
}
.player-details .block-info.color-dark {
    background-color: var(--blue3-dark);
}
.player-details .block-info.color-darker {
    background-color: var(--blue3-darker);
}
.player-details .block-info.color-darkest {
    background-color: var(--blue3-darkest);
}
.player-details .block-stats {
    background-color: var(--blue1);
    text-align: center;
    margin: 10px 10px -10px 10px;
    color: var(--white);
    padding: 5px 10px 10px 10px;
}
.player-details .block-stats.color-light {
    background-color: var(--blue3-light);
}
.player-details .block-stats.color {
    background-color: var(--blue3);
}
.player-details .block-stats.color-dark {
    background-color: var(--blue3-dark);
}
.player-details .block-stats.color-darker {
    background-color: var(--blue3-darker);
}
.player-details .block-stats p {
    margin-bottom: 0px;
}
.player-details .block-stats .p-stats {
    font-size: 3rem;
    font-weight: bold;
}
.player-details .block-stats .p-unitstats {
    font-size: 2rem;
}
.player-details .block-stats .p-understats {
    font-style: oblique;
}
.blockParent {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-content: center;
    margin-bottom: 20px;
}
.blockParentColumn {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.blockParentColumn>.blockParent {
    height: 100%;
    margin-bottom: 10px;
}
.block {
    border: var(--blue1) 0.5px solid;
    padding: 20px 20px 20px 20px;
    width: 33%;
    color: var(--white);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
}
.block>p {
    text-align: center;
    margin: 0px;
    font-family: "Roboto Regular", sans-serif;
}
.blockColumn {
    flex-direction: column;
    padding: 5px;
}

/** Rules **/
.blockRules .blockRule {
    width: 100%;
    margin-bottom: 10px;
    background-color: var(--blue2RGB);
}
.blockRules .nav-pills .nav-link.active {
    background-color: var(--blue1);
}
.blockRules .mobile a.nav-link {
    padding: 4vw;
    border: dotted .5px var(--blue1);
}
.blockRules a.nav-link {
    color: var(--blue1);
    padding: 20px;
}
.blockRules .nav-tabs .nav .nav-item a {
    color: var(--blue1);
}
.blockRules .nav-item:hover {
    color: grey;
}
.blockRules h1 {
    text-align: center;
}
.blockRules .nav-tabs {
    margin-bottom: 20px;
}
.blockRules .nav-tabs .nav-link {
    outline: 0;
}
.blockRules .blockRulesContent {
    width: 100%;
    margin-top: 20px;
}

/** Points **/
.points .table {
    margin-bottom: 0px;
    color: var(--blue1);
}
.points h1 {
    text-align: center;
}

/** Ranking **/
.global-ranking .table-hover tbody tr:hover {
    background-color: var(--blue1RGB);
    color: var(--white);
}
.global-ranking .player-row {
    cursor: pointer;
}
.global-ranking .action {
    text-decoration: none;
    color: var(--blue1);
}
.global-ranking td.evol-evo7days,
.global-ranking td.evol-evo30days {
    display: none;
}
.global-ranking th.evol-evo7days,
.global-ranking th.evol-evo30days {
    display: none;
}

/** Other **/
#loadMore {
    margin-top: 10px;
    border: var(--blue1) 0.5px solid;
    background-color: rgba(0, 43, 80, 0.8);
    padding: 5px 50px 5px 50px;
    text-align: center;
    color: var(--white);
}
.flexColumn {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/** For md screen **/
@media only screen and (min-width: 768px) {
    main {
        padding: 15px 0px;
    }
    body {
        font-size: 1.6rem;
        background-color: var(--white2);
    }
    
    h1 {
        font-size: 4rem;
    }
    
    h2 {
        font-size: 3rem;
    }
    
    h3 {
        font-size: 2rem;
    }
    
    .container {
        padding-left: 15px;
        padding-right: 15px;
        margin-left: 25vw;
        margin-top: 95px;
    }
    
    .blockDiv {
        border: var(--blue1) 0.5px solid;
        margin-bottom: 20px;
        padding: 1rem;
    }
    
    .header {
        position: fixed;
        z-index: 4;
        width: 100%;
        padding-top: 0px;
    }
    
    .searchDiv {
        width: 40vw;
    }
    
    .logo {
        text-align: center;
    }
    
    .logoDiv .logo {
        background-size: contain;
        width: 440px;
        height: 94px;
    }
    
    .menu .menu-nav .nav-item .nav-link {
        padding-left: 30px
    }
    
    .indexDiv h1.index-title {
        padding-top: 20vh;
    }

    .player-details {
        padding-top: 0px;
    }

    .backDiv {
        margin-left: 0px;
    }

    .player-details .block-info {
        margin-bottom: 10px;
        padding: 1vw;
    }

    .bottom-link {
        position: initial;
        bottom: 0;
        right: 0;
        left: 0;
    }
}

/** For lg screen **/
@media only screen and (min-width: 992px) {
    .container {
        margin-left: 20vw;
    }
    
    .player-details .block-info {
        padding-top: unset;
        margin-top: 0;
    }

    .player-details .block-stats {
        height: 100%;
    }
    
    .indexDiv.blockDiv {
        height: 85vh;
    }
    
    .indexDiv .index-block {
        display: flex;
        flex-direction: row;
    }
    
    .indexDiv .index-block .index-button {
        flex-grow: 1;
    }
    
    .indexDiv .index-button button {
        width: unset;
    }
    
    .indexDiv .index-block .index-button button {
        min-width: 30vw;
    }
    
    .block-social-share {
        margin: 0;
        width: 100%;
    }

    .global-ranking th.evol-evo7days,
    .global-ranking th.evol-evo30days {
        display: table-cell;
    }

    .global-ranking td.evol-evo7days,
    .global-ranking td.evol-evo30days {
        display: table-cell;
    }
}